### Property

# Adw Leaflet:transition-type

#### Declaration

    property transition-type: Adw.LeafletTransitionType [ read, write ]

#### Description [src]

The type of animation used for transitions between modes and children.

The transition type can be changed without problems at runtime, so it is possible to change the animation based on the mode or child that is about to become current.

Type: | `AdwLeafletTransitionType`
Available since: | 1.0

Getter method | `adw_leaflet_get_transition_type()`
Setter method | `adw_leaflet_set_transition_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no